@use "../../../../../styles/variables/colors.scss";

.profile-rule {
  flex: 1;
  display: flex;
  justify-content: end;
  align-items: end;
  column-gap: 8px;
  padding: 2rem 0 1rem;

  @media (max-width: 899px) {
    padding: 22px 0 0;
  }
  @media (min-width: 420px) and (max-width: 499px) {
    width: 100%;
    justify-content: space-between;
  }
  @media (max-width: 419px) {
    width: 100%;
    flex-direction: column;
    gap: 8px;
  }
}

.profile-rule__btn-wrapper_classic {
  display: flex;
  justify-content: end;
  column-gap: 8px;
  width: 100%;

  @media (min-width: 420px) and (max-width: 499px) {
    flex: 3.5;
  }

  @media (min-width: 300px) and (max-width: 419px) {
    flex: 1;
  }
  @media (max-width: 319px) {
    flex-direction: column;
    gap: 8px;
  }
}

.profile-rule__btn-wrapper_rectangle {
  height: 36px;

  @media (max-width: 499px) {
    flex: 1;
    width: 100%;
  }
}

.btn.fb-primary.plus,
.btn.fb-secondary.pencil {
  @media (max-width: 499px) {
    width: 100%;
  }
  @media (max-width: 169px) {
    min-width: 100%;
  }

  & .btn-text {
    @media (max-width: 169px) {
      display: none;
    }
  }
}

.profile-btn__dots {
  min-width: 100%;
}
